import { ObjectType } from '@nestjs/graphql';
import { AppBaseEntity } from 'src/commons/entities/app-base-entity';
import { Entity, Column, DeleteDateColumn } from 'typeorm';

@ObjectType()
@Entity()
export class Project extends AppBaseEntity {
  /**
   * 唯一名称
   */
  @Column()
  name: string;

  @Column()
  comment: string;

  @Column()
  sshUrl: string;

  @Column({ nullable: true })
  webUrl?: string;

  @Column({ nullable: true })
  webHookSecret?: string;

  @DeleteDateColumn()
  deletedAt?: Date;
}
